Présentation
============

Gaby est initialement un logiciel à destination des GAB (Groupement des
Agriculteurs Biologique). Il permet:

* de maintenir une base de contact relationnelle (structure, personnes)
* de suivi des conversions d'agriculteurs de conventionnel vers biologique
* de suivre les rendez vous liés à une structure et/ou un projet de conversion
* de suivre l'animation d'un réseau à travers les rendez vous de formation


Prérequis
=========

Production:

* gnu make
* django >= 1.4
* basket (librairie interne au projet)
* un serveur web capable de faire du wsgi
* Acces a une base de donnee via (au choix)
 * python-psycopg2 >= 2.4.5
 * python-mysqldb >= 1.2.2
 * sqlite3 (integré à python)

Pour le developpement et les tests ajouter:
* python-coverage >= 2.85
* gnu gettext

Note: Gaby fonctionne sous Debian depuis la version 6 (squeeze)

Installation
============

* télécharger les sources principales:
 * git clone http://depot.interne.cliss21.org/gaby_c21.git
* télécharger basket:
 * get clone http://depot.interne.cliss21.org/django_app/basket (fixme)
* installer le maximum de dependances via votre systeme de paquet
* installer les dependances restantes via pip
* faire en sorte que les dependances soient dans le chemin du projet
 * les paquets du systeme le sont par defaut
 * via virtualenv
 * via des liens symboliques dans le repertoire "gaby_c21"
* créer une base de donnée sur le système choisi (mysql, postgresql)

Configuration
-------------
copier le fichier suivant et adapter le (configuration de l'accès à la base de donnée, URL
de l'application). Note par défaut le système utilise une base sqlite sans qu'il y ait
besoin de la configurer.

    settings_local.py.sample en settings_local.py

Construction
------------

faire un:
    make build

pour remettre la base de donnée à zéro faire un:
    make flush

Demo
----

Pour charger la demo, faire un:
    make load-demo

pour recharger la demo (flush + load-demo) faire un:
    make reload-demo


Apache mod_wsgi
---------------
Copier le fichier suivant et adapter le si besoin:

    public/wsgi.py.sample en public/wsgi.py


exemple de fichier de conf

    # -*- mode: conf -*-
    <VirtualHost *:80>
      ServerName gaby.demo.cliss21.com
      ServerAdmin webmaster@demo.cliss21.com
    
      CustomLog /var/log/apache2/demo-gaby/access.log combined
      ErrorLog  /var/log/apache2/demo-gaby/error.log
    
      WSGIDaemonProcess demo-gaby user=www-data group=www-data threads=3
      WSGIProcessGroup demo-gaby
    
      Alias /static/ /var/www/demo-gaby/django/gaby_c21/staticfiles/
      <Directory /var/www/demo-gaby/django/gaby_c21/staticfiles/>
          Order deny,allow
          Allow from all
      </Directory>
    
      WSGIScriptAlias / /var/www/demo-gaby/django/gaby_c21/public/wsgi.py
      <Directory /var/www/demo-gaby/django/gaby_c21/public>
          Order allow,deny
          Allow from all
      </Directory>
      </VirtualHost>
	  

