# -*- coding: utf-8 -*-
from django.apps import apps
from django.core.management.base import BaseCommand


class Command(BaseCommand):
    help = "count all table rows of target app ('contacts' per default)"

    def handle(self, *args, **options):
        results = []
        app_list = apps.get_app_configs()
        for app in app_list:
            app_results = []
            for model_name, model in app.models.items():
                app_results.append([model_name, model.objects.count()])
            if app_results:
                results.append([app.label, app_results])
        for app_label, model_list in results:
            for model_name, model_count in model_list:
                prefix = "{0}/{1}".format(app_label, model_name)
                print("{0:50}: {1}".format(prefix, model_count))
